StorageService.Verb (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.service
Enum StorageService.Verb

    java.lang.Object
      java.lang.Enum<StorageService.Verb>
          org.apache.cassandra.service.StorageService.Verb

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StorageService.Verb>

Enclosing class:
  StorageService

    public static enum StorageService.Verb

extends java.lang.Enum<StorageService.Verb>

Enum Constant Summary
`BINARY`
`BOOTSTRAP_TOKEN`
`COUNTER_MUTATION`
`DEFINITIONS_ANNOUNCE`
`DEFINITIONS_UPDATE`
`GOSSIP_DIGEST_ACK`
`GOSSIP_DIGEST_ACK2`
`GOSSIP_DIGEST_SYN`
`INDEX_SCAN`
`INTERNAL_RESPONSE`
`JOIN`
`MUTATION`
`RANGE_SLICE`
`READ`
`READ_REPAIR`
`REPLICATION_FINISHED`
`REQUEST_RESPONSE`
`SCHEMA_CHECK`
`STREAM_INITIATE`
`STREAM_INITIATE_DONE`
`STREAM_REPLY`
`STREAM_REQUEST`
`STREAMING_REPAIR_REQUEST`
`STREAMING_REPAIR_RESPONSE`
`TREE_REQUEST`
`TREE_RESPONSE`
`TRUNCATE`
`UNUSED_1`
`UNUSED_2`
`UNUSED_3`

Method Summary
`static StorageService.Verb` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StorageService.Verb[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MUTATION

    public static final StorageService.Verb MUTATION

### BINARY

    public static final StorageService.Verb BINARY

### READ_REPAIR

    public static final StorageService.Verb READ_REPAIR

### READ

    public static final StorageService.Verb READ

### REQUEST_RESPONSE

    public static final StorageService.Verb REQUEST_RESPONSE

### STREAM_INITIATE

    public static final StorageService.Verb STREAM_INITIATE

### STREAM_INITIATE_DONE

    public static final StorageService.Verb STREAM_INITIATE_DONE

### STREAM_REPLY

    public static final StorageService.Verb STREAM_REPLY

### STREAM_REQUEST

    public static final StorageService.Verb STREAM_REQUEST

### RANGE_SLICE

    public static final StorageService.Verb RANGE_SLICE

### BOOTSTRAP_TOKEN

    public static final StorageService.Verb BOOTSTRAP_TOKEN

### TREE_REQUEST

    public static final StorageService.Verb TREE_REQUEST

### TREE_RESPONSE

    public static final StorageService.Verb TREE_RESPONSE

### JOIN

    public static final StorageService.Verb JOIN

### GOSSIP_DIGEST_SYN

    public static final StorageService.Verb GOSSIP_DIGEST_SYN

### GOSSIP_DIGEST_ACK

    public static final StorageService.Verb GOSSIP_DIGEST_ACK

### GOSSIP_DIGEST_ACK2

    public static final StorageService.Verb GOSSIP_DIGEST_ACK2

### DEFINITIONS_ANNOUNCE

    public static final StorageService.Verb DEFINITIONS_ANNOUNCE

### DEFINITIONS_UPDATE

    public static final StorageService.Verb DEFINITIONS_UPDATE

### TRUNCATE

    public static final StorageService.Verb TRUNCATE

### SCHEMA_CHECK

    public static final StorageService.Verb SCHEMA_CHECK

### INDEX_SCAN

    public static final StorageService.Verb INDEX_SCAN

### REPLICATION_FINISHED

    public static final StorageService.Verb REPLICATION_FINISHED

### INTERNAL_RESPONSE

    public static final StorageService.Verb INTERNAL_RESPONSE

### COUNTER_MUTATION

    public static final StorageService.Verb COUNTER_MUTATION

### STREAMING_REPAIR_REQUEST

    public static final StorageService.Verb STREAMING_REPAIR_REQUEST

### STREAMING_REPAIR_RESPONSE

    public static final StorageService.Verb STREAMING_REPAIR_RESPONSE

### UNUSED_1

    public static final StorageService.Verb UNUSED_1

### UNUSED_2

    public static final StorageService.Verb UNUSED_2

### UNUSED_3

    public static final StorageService.Verb UNUSED_3

Method Detail

### values

    public static StorageService.Verb[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StorageService.Verb c : StorageService.Verb.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StorageService.Verb valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation